# Changelog

## 2024-12-25 - 3.0.52 - fix(dependencies)
Bump package versions in dependencies and exports.

- Updated package dependencies to their latest versions.
- Added './infohtml' in package exports.

## 2024-08-27 - 3.0.51 - fix(core)
Update dependencies and fix service worker cache manager and task manager functionalities

- Updated dependencies in package.json to their latest versions
- Enhanced service worker cache manager to include additional scoped URLs
- Fixed task manager to start the task manager and added update task functionality
- Removed .gitlab-ci.yml from the repository as part of the cleanup

## 2024-05-25 - 3.0.43 to 3.0.50 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.43 to 3.0.50

## 2024-05-23 - 3.0.37 to 3.0.42 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.37 to 3.0.42

## 2024-05-17 - 3.0.37 - Core
Routine update and bug fix

- Updated core functionalities

## 2024-05-14 - 3.0.33 to 3.0.36 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.33 to 3.0.36

## 2024-05-13 - 3.0.31 to 3.0.32 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.31 to 3.0.32

## 2024-05-11 - 3.0.29 to 3.0.31 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.29 to 3.0.31

## 2024-04-19 - 3.0.27 to 3.0.28 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.27 to 3.0.28

## 2024-04-14 - 3.0.27 - Documentation
Updated Documentation

- Improved and updated documentation

## 2024-03-01 - 3.0.25 to 3.0.26 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.25 to 3.0.26

## 2024-02-21 - 3.0.20 to 3.0.24 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.20 to 3.0.24

## 2024-01-19 - 3.0.19 to 3.0.20 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.19 to 3.0.20

## 2024-01-09 - 3.0.14 to 3.0.18 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.14 to 3.0.18

## 2024-01-08 - 3.0.11 to 3.0.13 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.11 to 3.0.13

## 2024-01-07 - 3.0.9 to 3.0.10 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.9 to 3.0.10

## 2023-11-06 - 3.0.8 to 3.0.9 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.8 to 3.0.9

## 2023-10-23 - 3.0.6 to 3.0.7 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.6 to 3.0.7

## 2023-10-20 - 3.0.5 to 3.0.6 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.5 to 3.0.6

## 2023-09-21 - 3.0.4 to 3.0.5 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.4 to 3.0.5

## 2023-08-06 - 3.0.2 to 3.0.3 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.2 to 3.0.3

## 2023-08-03 - 3.0.1 to 3.0.0 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 3.0.1 to 3.0.0

## 2023-08-03 - 2.0.65 - Core
Breaking change in core update

- Introduced breaking changes updating core functionalities

## 2023-07-02 - 2.0.59 to 2.0.64 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 2.0.59 to 2.0.64

## 2023-07-01 - 2.0.54 to 2.0.58 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 2.0.54 to 2.0.58

## 2023-06-12 - 2.0.53 - Core
Routine update and bug fix

- Updated core functionalities

## 2023-04-10 - 2.0.52 to 2.0.53 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 2.0.52 to 2.0.53

## 2023-04-04 - 2.0.49 to 2.0.51 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 2.0.49 to 2.0.51

## 2023-03-31 - 2.0.45 to 2.0.48 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 2.0.45 to 2.0.48

## 2023-03-30 - 2.0.37 to 2.0.44 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 2.0.37 to 2.0.44

## 2023-03-29 - 2.0.33 to 2.0.36 - Core
Routine updates and bug fixes

- Updated core functionalities for better performance and stability in versions 2.0.33 to 2.0.36
